### Hierarchy

- LayoutNetwork
  - TreeNetwork

This class represents an abstract graph of TreeVertexes and TreeEdges that can be constructed based on the Nodes and Links of a Diagram so that the TreeLayout can operate independently of the diagram until it is time to commit any node positioning or link routing.

This class inherits from LayoutNetwork.

## Index

### Constructors

- constructor

## Constructors

### constructor

- new TreeNetwork(layout: TreeLayout): TreeNetwork

- #### Parameters

  - ##### layout: TreeLayout

  #### Returns TreeNetwork

Copyright © 1998-2019 by Northwoods Software Corporation.